import request from '@/utils/request'

// 查询短信通知记录列表
export function listCsMessageRecord(query) {
  return request({
    url: '/cs/csMessageRecord/list',
    method: 'get',
    params: query
  })
}

// 查询短信通知记录详细
export function getCsMessageRecord(messageRecordId) {
  return request({
    url: '/cs/csMessageRecord/' + messageRecordId,
    method: 'get'
  })
}

// 新增短信通知记录
export function addCsMessageRecord(data) {
  return request({
    url: '/cs/csMessageRecord',
    method: 'post',
    data: data
  })
}

// 修改短信通知记录
export function updateCsMessageRecord(data) {
  return request({
    url: '/cs/csMessageRecord',
    method: 'put',
    data: data
  })
}

// 删除短信通知记录
export function delCsMessageRecord(messageRecordId) {
  return request({
    url: '/cs/csMessageRecord/' + messageRecordId,
    method: 'delete'
  })
}

// 批量新增短信通知
export function bachSendMessage(data) {
  return request({
    url: '/cs/csMessageRecord/bachSendMessage',
    method: 'post',
    data: data
  })
}
